/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * 
 * @format
 * @oncall relay
 */
'use strict';

var ReactRelayContext = require('./ReactRelayContext');

var ReactRelayFragmentContainer = require('./ReactRelayFragmentContainer');

var ReactRelayLocalQueryRenderer = require('./ReactRelayLocalQueryRenderer');

var ReactRelayPaginationContainer = require('./ReactRelayPaginationContainer');

var ReactRelayQueryRenderer = require('./ReactRelayQueryRenderer');

var ReactRelayRefetchContainer = require('./ReactRelayRefetchContainer');

var RelayRuntime = require('relay-runtime');

/**
 * Legacy react-relay exports.
 * Should prefer using interface defined in ./hooks.js
 */
module.exports = {
  ConnectionHandler: RelayRuntime.ConnectionHandler,
  QueryRenderer: ReactRelayQueryRenderer,
  LocalQueryRenderer: ReactRelayLocalQueryRenderer,
  MutationTypes: RelayRuntime.MutationTypes,
  RangeOperations: RelayRuntime.RangeOperations,
  ReactRelayContext: ReactRelayContext,
  applyOptimisticMutation: RelayRuntime.applyOptimisticMutation,
  commitLocalUpdate: RelayRuntime.commitLocalUpdate,
  commitMutation: RelayRuntime.commitMutation,
  createFragmentContainer: ReactRelayFragmentContainer.createContainer,
  createPaginationContainer: ReactRelayPaginationContainer.createContainer,
  createRefetchContainer: ReactRelayRefetchContainer.createContainer,
  fetchQuery_DEPRECATED: RelayRuntime.fetchQuery_DEPRECATED,
  graphql: RelayRuntime.graphql,
  readInlineData: RelayRuntime.readInlineData,
  requestSubscription: RelayRuntime.requestSubscription
};