/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * 
 * @format
 * @oncall relay
 */
'use strict';

var RelayEnvironmentProvider = require('../relay-hooks/RelayEnvironmentProvider');

var useRelayActorEnvironment = require('./useRelayActorEnvironment');

var React = require('react');

function ActorChange(props) {
  var actorEnvironment = useRelayActorEnvironment(props.actorChangePoint.__viewer);
  var getEnvironmentForActor = React.useCallback(function (actorIdentifier) {
    return actorEnvironment.multiActorEnvironment.forActor(actorIdentifier);
  }, [actorEnvironment]);
  return /*#__PURE__*/React.createElement(RelayEnvironmentProvider, {
    environment: actorEnvironment,
    getEnvironmentForActor: getEnvironmentForActor
  }, props.children(props.actorChangePoint.__fragmentRef, props.actorChangePoint.__viewer));
}

module.exports = ActorChange;